lists

# Class: lamDHCPList

Source Location: /lib/types/dhcp.inc

### Class Overview

    lamList
       |
       --lamDHCPList

Generates the list view.

#### Author(s):

- Thomas Manninger

### Variables

- $fixed

### Methods

- __construct
- listDoPost
- listPrintButtons
- listPrintTableCellContent

### Inherited Constants

#### Class: lamList

lamList::LIST_SIZE_OPTION_NAME

### Inherited Variables

#### Class: lamList

lamList::$attrArray
lamList::$descArray
lamList::$entries
lamList::$filterText
lamList::$labels
lamList::$maxPageEntries
lamList::$page
lamList::$possibleSuffixes
lamList::$refresh
lamList::$sortColumn
lamList::$sortDirection
lamList::$suffix
lamList::$type

### Inherited Methods

#### Class: lamList

lamList::__construct()
  Constructor
lamList::cmp_array()
  Compare function used for usort-method
lamList::getAdditionalTools()
  Returns a list of lamListTool objects to display next to the edit/delete buttons.
lamList::listBuildFilter()
  Builds the regular expressions from the filter values.
lamList::listConfigurationChanged()
  Called when the configuration options changed.
lamList::listDoPost()
  Manages all POST actions (e.g. button pressed) for the account lists.
lamList::listDrawNavigationBar()
  Draws a navigation bar to switch between pages
lamList::listFilterAccounts()
  Removes all entries which do not fit to the filter.
lamList::listGetAllConfigOptions()
  Returns a list of possible configuration options.
lamList::listGetConfigOptionByID()
  Returns the configuration option with the given ID.
lamList::listGetParams()
  Sets some internal parameters.
lamList::listPrintButtons()
  Prints the create and delete buttons.
lamList::listPrintConfigurationPage()
  Prints the list configuration page.
lamList::listPrintFooter()
  Prints the HTML footer.
lamList::listPrintHeader()
  Prints the HTML header.
lamList::listPrintTableBody()
  Prints the entry list
lamList::listPrintTableCellContent()
  Prints the content of a cell in the account list for a given LDAP entry and attribute.
lamList::listPrintTableHeader()
  Prints the attribute and filter row at the account table head
lamList::listRefreshData()
  Rereads the entries from LDAP.
lamList::listShowOUSelection()
  Prints a combobox with possible sub-DNs.
lamList::listSort()
  Sorts an account list by a given attribute
lamList::showPage()
  Prints the HTML code to display the list view.

### Class Details

[line 109]
Generates the list view.

#### Tags:

author: | Thomas Manninger

[ Top ]

### Class Variables

#### $fixed =

[line 112]

Type: | mixed

[ Top ]

### Class Methods

### constructor __construct [line 120]

`lamList __construct( string $type)`

Constructor

#### Tags:

return: | list object
access: | public

Overrides lamList::__construct() (Constructor)

#### Parameters:

string | $type | account type

[ Top ]

### method listDoPost [line 220]

`void listDoPost( )`

Manages all POST actions (e.g. button pressed) for the account lists.
Overrides lamList::listDoPost() (Manages all POST actions (e.g. button pressed) for the account lists.)
[ Top ]

### method listPrintButtons [line 199]

`void listPrintButtons( boolean $createOnly)`

Prints the create, delete and PDF buttons.
Overrides lamList::listPrintButtons() (Prints the create and delete buttons.)

#### Parameters:

boolean | $createOnly | true if only the create button should be displayed

[ Top ]

### method listPrintTableCellContent [line 136]

`void listPrintTableCellContent( &$entry, &$attribute, array $entry, string $attribute)`

Prints the content of a cell in the account list for a given LDAP entry and attribute.

#### Tags:

access: | public

Overrides lamList::listPrintTableCellContent() (Prints the content of a cell in the account list for a given LDAP entry and attribute.)

#### Parameters:

array | $entry | LDAP attributes
string | $attribute | attribute name
| &$entry |
| &$attribute |

[ Top ]

Documentation generated on Wed, 05 Aug 2009 19:52:56 +0200 by phpDocumentor 1.4.1